<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Betsy Braddock: Captain Britain</Series>
  <Number>2</Number>
  <Web>https://www.amazon.com/dp/B0BPTR7HPD</Web>
  <Summary>TWO CAPTAINS - ONE COUNTRY - AND ONE HELL OF A FIGHT! Britain has a new champion - but don't be mistaken, she's been here for years. Morgan Le Fay is back for vengeance, and Captain Britain is first on her list! But where one captain fails, another may suffice…and Peggy Carter's got a right hook that would inspire the devil herself. Magical machinations and feral fisticuffs abound in Tini Howard and Vasco Georgiev's continuing epic!</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BPTR7HPD], [RELDATE:2023-03-29]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Leading Ladies, Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
